%{
#include <stdio.h>
int lineno;
int yydebug;

%}

%token              NAME VAR STRUCT UNION CHAR INT

%%

declares :  declare ';' | declares declare ';';
declare :   type objects
type :          struct| union |INT| CHAR;
struct :        STRUCT NAME '{' declares '}' |
	        STRUCT NAME ;
union :        UNION NAME '{' declares '}' |
	        UNION NAME ;
object :   VAR | '*' object;
objects :   object | objects ',' object;

%%

main() {
    yydebug = 0;
    yyparse();
}

yyerror() {
	printf("error on line %d\n",lineno);
}

